# Uses of Class
org.apache.avro.thrift.ThriftData

## Uses of ThriftData in org.apache.avro.thrift

Methods in org.apache.avro.thrift that return ThriftData
Modifier and Type
Method
Description
`static ThriftData`
ThriftData.`get()`
Return the singleton instance.
Constructors in org.apache.avro.thrift with parameters of type ThriftData
Modifier
Constructor
Description
`protected`
`ThriftDatumReader(org.apache.avro.Schema writer, org.apache.avro.Schema reader, ThriftData data)`
`protected`
`ThriftDatumWriter(org.apache.avro.Schema root, ThriftData thriftData)`
`protected`
`ThriftDatumWriter(ThriftData thriftData)`